## python-pyknon 1.0

=== Makefile ===
.PHONY: coverage test coverage docs

test:
	py.test

coverage:
	py.test --cov=pyknon --cov-report=html

docs:
	cd docs && make html

view: docs
	open docs/_build/html/index.html

clean:
	find . -name "*.pyc" | xargs rm

cleanall: clean
	rm -rf htmlcov docs/_build

=== debian/changelog ===
python-pyknon (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #682920)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Wed, 15 Aug 2012 09:02:44 -0400

=== debian/control ===
Source: python-pyknon
Section: python
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>=7.0.50~), python-all (>= 2.6.6-3~), python-sphinx, python-pytest
Standards-Version: 3.9.3
X-Python-Version: >= 2.7
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/python-pyknon.git
Vcs-Git: git://git.debian.org/git/pkg-multimedia/python-pyknon.git
Homepage: https://github.com/kroger/pyknon

Package: python-pyknon
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Simple Python music library
 Pyknon helps to generate Midi files quickly and reason about musical
 proprieties.
 .
 It’s a library intended for teaching and demonstrating music for programmers.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d
buildvers := $(shell pyversions -rv)

%:
	dh $@ --with python2

override_dh_auto_build:
	cd docs && make html
	set -e; \
		for i in $(buildvers); do \
			python$$i setup.py build; \
		done

override_dh_auto_install:
	set -e; \
		for i in $(buildvers); do \
			python$$i ./setup.py install --skip-build --root $(CURDIR)/debian/python-pyknon --install-layout=deb; \
		done
override_dh_auto_clean:
	find . -name '*.pyc' -delete
	rm -rf build htmlcov docs/_build

=== debian/watch ===
version=3
https://github.com/kroger/pyknon/tarball/version(.*)

## python-pyknon 1.2

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,9 @@
 	open docs/_build/html/index.html
 
 clean:
-	find . -name "*.pyc" | xargs rm
+	find . -name "*.pyc" | xargs rm -f
+	find . -name "__pycache__" | xargs rm -rf
+	rm -rf .cache .coverage htmlcov
 
 cleanall: clean
 	rm -rf htmlcov docs/_build

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/musiclib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/musiclib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/musiclib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/musiclib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pyknon (1.2-5) unstable; urgency=medium

  * Source-only upload.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Thu, 27 Jan 2022 22:56:14 -0500

python-pyknon (1.2-4) unstable; urgency=medium

  * Fix module 'collections' has no attribute 'MutableSequence'. Thanks to
    Steve Langasek for the patch (Closes: #1001428)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 15 Jan 2022 10:59:12 -0500

python-pyknon (1.2-3) unstable; urgency=medium

  * Team upload.
  * Add additional copyright info.

 -- Stuart Prescott <stuart@debian.org>  Mon, 20 Jan 2020 23:49:49 +1100

python-pyknon (1.2-2) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Stop building Python 2 package; build a Python 3 module package instead
    (Closes: #938072)
  * Change to debhelper-compat (= 12).
  * Switch buildsystem to pybuild.
  * Switch to arch:all package for python module.
  * Update Standards-Version to 4.4.1 (no changes required).
  * Add autopkgtest tests.

 -- Stuart Prescott <stuart@debian.org>  Wed, 15 Jan 2020 01:38:54 +1100

python-pyknon (1.0-2) unstable; urgency=medium

  * Minor updates in control file.
  * Remove deprecated pngmath dependency for Sphinx docs building.
    Thanks to Dmitry Shachnev. (Closes: #918826)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 27 Apr 2019 11:36:55 -0400

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_auto_clean:
	rm -rf build htmlcov docs/_build

=== debian/tests/control ===
Tests: python3-pyknon
Restrictions: allow-stderr
Depends:
 python3-all,
 python3-pyknon,
 python3-pytest,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/version(\d\S+)\.tar\.gz/python-pyknon-$1\.tar\.gz/ \
  https://github.com/kroger/pyknon/tags .*/version(\d\S+)\.tar\.gz
